﻿;==========================================================================================================================
; Load keyboard shortcuts
;==========================================================================================================================

Procedure LoadShortCutsFromDisk()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ShortCutFile.s = OpenFileRequester("Load Keyboard shortcuts file", GetCurrentDirectory() + "DefaultKeySave.ks", "KS (*.ks)|*.ks", 0)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If ShortCutFile.s
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ClearGadgetItems(#Gadget_ShortCutter_keylist)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    InputFile.i = ReadFile(#PB_Any, ShortCutFile.s)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If InputFile.i
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      While Eof(InputFile.i) = 0
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        CurrentLine.s = ReadString(InputFile.i)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        KeyDataName.s   = StringField(CurrentLine.s, 1, "|")
        
        KeyDataValue.s  = StringField(CurrentLine.s, 2, "|")
        
        KeyDataKeys.s   = StringField(CurrentLine.s, 3, "|")
        
        KeyDescribe.s   = StringField(CurrentLine.s, 4, "|")
        
        KeyMenuIcon.s   = StringField(CurrentLine.s, 5, "|")
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        ShortCutString.s = KeyDataName.s + Chr(10) + KeyDataValue.s + Chr(10) + KeyDataKeys.s + Chr(10) + KeyDescribe.s + Chr(10) + KeyMenuIcon.s
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If Left(KeyDataName.s, 1) <> "~" And Right(KeyDataName.s, 1) <> "~"
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If KeyMenuIcon.s <> ""
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            If FileSize(Program\IconDirectory +  KeyMenuIcon.s) <> -1
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              KeyMenuIconHandle.i = LoadImage(#PB_Any, Program\IconDirectory +  KeyMenuIcon.s)
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              If KeyMenuIconHandle.i <> 0
                
                AddGadgetItem(#Gadget_ShortCutter_keylist, -1, ShortCutString.s, ImageID(KeyMenuIconHandle.i))
                
              Else
                
                AddGadgetItem(#Gadget_ShortCutter_keylist, -1, ShortCutString.s, 0)
                
              EndIf
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
            Else
              
              AddGadgetItem(#Gadget_ShortCutter_keylist, -1, ShortCutString, 0)
              
            EndIf
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
          Else
            
            AddGadgetItem(#Gadget_ShortCutter_keylist, -1, ShortCutString.s, 0)
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        ElseIf  Left(KeyDataName.s, 1) = "~" And Right(KeyDataName.s, 1) = "~"
          
          AddGadgetItem(#Gadget_ShortCutter_keylist, -1, KeyDataName.s + Chr(10) + " " + Chr(10) + " " + Chr(10) + " " + Chr(10) + " ", ImageID(#HeadingMarker))
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Wend
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      CloseFile(InputFile.i)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetGadgetText(#Gadget_ShortCutter_shortcutfile, GetFilePart(ShortCutFile.s))
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetGadgetText(#Gadget_ShortCutter_messages, "File: [" + GetFilePart(ShortCutFile.s) + "] Has been loaded.")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      CountShortCuts()
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetGadgetText(#Gadget_ShortCutter_messages, "Output file could not be created.")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetGadgetText(#Gadget_ShortCutter_messages, "No filename specified, user aborted.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 152
; FirstLine = 126
; Folding = -
; EnableXP