﻿;==========================================================================================================================
; Move lines around in a single ListIconGadget
;==========================================================================================================================

Procedure ListIconGadgetMove(GadgetNumber.i, SourceLine.i, DestinationLine.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  NumberOfColumns.i = ListIconGadgetColumns(GadgetNumber.i) - 1
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  For ColumnsToProcess.i = 0 To NumberOfColumns.i
    
    SourceLineText.s = GetGadgetItemText(GadgetNumber.i, SourceLine.i, ColumnsToProcess.i)
    
    If SourceLine.i < DestinationLine.i
      
      For LinesToProcess.i = SourceLine.i To DestinationLine.i - 1
        
        DestinationLineText.s = GetGadgetItemText(GadgetNumber.i, LinesToProcess.i + 1, ColumnsToProcess.i)
        
        SetGadgetItemText(GadgetNumber.i, LinesToProcess.i, DestinationLineText.s, ColumnsToProcess.i)
        
      Next LinesToProcess.i
      
    Else
      
      For LinesToProcess.i = SourceLine.i To DestinationLine.i + 1 Step - 1
        
        DestinationLineText.s = GetGadgetItemText(GadgetNumber.i, LinesToProcess.i - 1, ColumnsToProcess.i)
        
        SetGadgetItemText(GadgetNumber.i, LinesToProcess.i, DestinationLineText.s, ColumnsToProcess.i)
        
      Next LinesToProcess.i
      
    EndIf
    
    SetGadgetItemText(GadgetNumber.i, LinesToProcess.i, SourceLineText.s, ColumnsToProcess.i)
    
  Next ColumnsToProcess.i
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 50
; FirstLine = 12
; Folding = -
; EnableXP
; HideErrorLog