
;==========================================================================================================================
; Keyboard shortcuts program procedural declaration
;==========================================================================================================================

Declare OpenSystemDatabase()                                                                  ; 
Declare LoadkeyboardShortCuts()                                                               ; 
Declare CreateMainMenu()                                                                      ; 
Declare MakeSureDirectoryPathExists(Directory.s)                                              ; 
Declare MyBalloonToolTips(btWindow.i, btGadget.i, btText.s)                                   ; 
Declare SelectWindowToolTips(Window.i)                                                        ; 

;==========================================================================================================================
; Files menu procedure declarations
;==========================================================================================================================

Declare OpenDatabase()                                                                        ; 
Declare ReloadMaster()                                                                        ; 
Declare DumpTables()                                                                          ; 
Declare UndumpTables()                                                                        ; 
Declare VacuumTables()                                                                        ; 
Declare ExitProgram()                                                                         ; 

;==========================================================================================================================
; Category menu procedure declarations
;==========================================================================================================================

Declare AddCategory()                                                                         ; 
Declare CopyCategory()                                                                        ; 
Declare DeleteCategory()                                                                      ; 
Declare EditCategory()                                                                        ; 

;==========================================================================================================================
; Data menu procedure declarations
;==========================================================================================================================

Declare AddPerson()                                                                           ; 
Declare CopyPerson()                                                                          ; 
Declare DeletePerson()                                                                        ; 
Declare EditPerson()                                                                          ; 
Declare PrintPerson()                                                                         ; 
Declare PrintPerson()                                                                         ; 
Declare TagPeople()                                                                           ; 

;==========================================================================================================================
; Utility menu procedure declarations
;==========================================================================================================================

Declare BackupDatabase()                                                                      ; 
Declare ExportAddresses()                                                                     ; 
Declare ImportAddresses()                                                                     ; 
Declare UpdatePostcodes()                                                                     ; 

;==========================================================================================================================
; Setup menu procedure declarations
;==========================================================================================================================

Declare ShowData()                                                                            ; 
Declare ShowClock()                                                                           ; 
Declare ShowTooltips()                                                                        ; 
Declare MailSetup()                                                                           ; 

;==========================================================================================================================
; Help menu procedure declarations
;==========================================================================================================================

Declare AboutProgram()                                                                        ; 
Declare ShowHelp()                                                                            ; 
Declare KeyboardShortcuts()                                                                   ; 

; IDE Options = PureBasic 5.11 (Windows - x86)
; EnableXP