
;==========================================================================================================================
; Image menu creation procedure
;==========================================================================================================================

PROCEDURE CreateMainMenu()

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  ; Remove all existing shortcuts for this window

  CreateImageMenu(#MenuBar_Window_AddressBox, WindowID(#Window_AddressBox), #PB_Menu_ModernLook

  ----------------------------------------
  MenuTitle("Files"
  ----------------------------------------

    MenuItem(#MenuBar_OpenDatabase,                                    MenuText\OpenDatabase                          + Chr(09) + GetShortcutText(Keys\OpenDatabase),                     ImageID(#MenuBarIcon_OpenDatabase)                 

    MenuItem(#MenuBar_ReloadMaster,                                    MenuText\ReloadMaster                          + Chr(09) + GetShortcutText(Keys\ReloadMaster),                     ImageID(#MenuBarIcon_ReloadMaster)                 

    MenuItem(#MenuBar_DumpTables,                                      MenuText\DumpTables                            + Chr(09) + GetShortcutText(Keys\DumpTables),                       ImageID(#MenuBarIcon_DumpTables)                   

    MenuItem(#MenuBar_UndumpTables,                                    MenuText\UndumpTables                          + Chr(09) + GetShortcutText(Keys\UndumpTables),                     ImageID(#MenuBarIcon_UndumpTables)                 

    MenuItem(#MenuBar_VacuumTables,                                    MenuText\VacuumTables                          + Chr(09) + GetShortcutText(Keys\VacuumTables),                     ImageID(#MenuBarIcon_VacuumTables)                 

    MenuItem(#MenuBar_ExitProgram,                                     MenuText\ExitProgram                           + Chr(09) + GetShortcutText(Keys\ExitProgram),                      ImageID(#MenuBarIcon_ExitProgram)                  

  ----------------------------------------
  MenuTitle("Category"
  ----------------------------------------

    MenuItem(#MenuBar_AddCategory,                                     MenuText\AddCategory                           + Chr(09) + GetShortcutText(Keys\AddCategory),                      ImageID(#MenuBarIcon_AddCategory)                  

    MenuItem(#MenuBar_CopyCategory,                                    MenuText\CopyCategory                          + Chr(09) + GetShortcutText(Keys\CopyCategory),                     ImageID(#MenuBarIcon_CopyCategory)                 

    MenuItem(#MenuBar_DeleteCategory,                                  MenuText\DeleteCategory                        + Chr(09) + GetShortcutText(Keys\DeleteCategory),                   ImageID(#MenuBarIcon_DeleteCategory)               

    MenuItem(#MenuBar_EditCategory,                                    MenuText\EditCategory                          + Chr(09) + GetShortcutText(Keys\EditCategory),                     ImageID(#MenuBarIcon_EditCategory)                 

  ----------------------------------------
  MenuTitle("Data"
  ----------------------------------------

    MenuItem(#MenuBar_AddPerson,                                       MenuText\AddPerson                             + Chr(09) + GetShortcutText(Keys\AddPerson),                        ImageID(#MenuBarIcon_AddPerson)                    

    MenuItem(#MenuBar_CopyPerson,                                      MenuText\CopyPerson                            + Chr(09) + GetShortcutText(Keys\CopyPerson),                       ImageID(#MenuBarIcon_CopyPerson)                   

    MenuItem(#MenuBar_DeletePerson,                                    MenuText\DeletePerson                          + Chr(09) + GetShortcutText(Keys\DeletePerson),                     ImageID(#MenuBarIcon_DeletePerson)                 

    MenuItem(#MenuBar_EditPerson,                                      MenuText\EditPerson                            + Chr(09) + GetShortcutText(Keys\EditPerson),                       ImageID(#MenuBarIcon_EditPerson)                   

    MenuItem(#MenuBar_PrintPerson,                                     MenuText\PrintPerson                           + Chr(09) + GetShortcutText(Keys\PrintPerson),                      ImageID(#MenuBarIcon_PrintPerson)                  

    MenuItem(#MenuBar_PrintPerson,                                     MenuText\PrintPerson                           + Chr(09) + GetShortcutText(Keys\PrintPerson),                      ImageID(#MenuBarIcon_PrintPerson)                  

    MenuItem(#MenuBar_TagPeople,                                       MenuText\TagPeople                             + Chr(09) + GetShortcutText(Keys\TagPeople),                        ImageID(#MenuBarIcon_TagPeople)                    

  ----------------------------------------
  MenuTitle("Utility"
  ----------------------------------------

    MenuItem(#MenuBar_BackupDatabase,                                  MenuText\BackupDatabase                        + Chr(09) + GetShortcutText(Keys\BackupDatabase),                   ImageID(#MenuBarIcon_BackupDatabase)               

    MenuItem(#MenuBar_ExportAddresses,                                 MenuText\ExportAddresses                       + Chr(09) + GetShortcutText(Keys\ExportAddresses),                  ImageID(#MenuBarIcon_ExportAddresses)              

    MenuItem(#MenuBar_ImportAddresses,                                 MenuText\ImportAddresses                       + Chr(09) + GetShortcutText(Keys\ImportAddresses),                  ImageID(#MenuBarIcon_ImportAddresses)              

    MenuItem(#MenuBar_UpdatePostcodes,                                 MenuText\UpdatePostcodes                       + Chr(09) + GetShortcutText(Keys\UpdatePostcodes),                  ImageID(#MenuBarIcon_UpdatePostcodes)              

  ----------------------------------------
  MenuTitle("Setup"
  ----------------------------------------

    MenuItem(#MenuBar_ShowData,                                        MenuText\ShowData                              + Chr(09) + GetShortcutText(Keys\ShowData),                         ImageID(#MenuBarIcon_ShowData)                     

    MenuItem(#MenuBar_ShowClock,                                       MenuText\ShowClock                             + Chr(09) + GetShortcutText(Keys\ShowClock),                        ImageID(#MenuBarIcon_ShowClock)                    

    MenuItem(#MenuBar_ShowTooltips,                                    MenuText\ShowTooltips                          + Chr(09) + GetShortcutText(Keys\ShowTooltips),                     ImageID(#MenuBarIcon_ShowTooltips)                 

    MenuItem(#MenuBar_MailSetup,                                       MenuText\MailSetup                             + Chr(09) + GetShortcutText(Keys\MailSetup),                        ImageID(#MenuBarIcon_MailSetup)                    

  ----------------------------------------
  MenuTitle("Help"
  ----------------------------------------

    MenuItem(#MenuBar_AboutProgram,                                    MenuText\AboutProgram                          + Chr(09) + GetShortcutText(Keys\AboutProgram),                     ImageID(#MenuBarIcon_AboutProgram)                 

    MenuItem(#MenuBar_ShowHelp,                                        MenuText\ShowHelp                              + Chr(09) + GetShortcutText(Keys\ShowHelp),                         ImageID(#MenuBarIcon_ShowHelp)                     

    MenuItem(#MenuBar_KeyboardShortcuts,                               MenuText\KeyboardShortcuts                     + Chr(09) + GetShortcutText(Keys\KeyboardShortcuts),                ImageID(#MenuBarIcon_KeyboardShortcuts)            

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure
