
;==========================================================================================================================
; Personal balloon tooltip window, colourful and not boring at all
;==========================================================================================================================

Procedure MyBalloonToolTips(btWindow.i, btGadget.i, btText.s)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  ForEach ToolTips()

    If ToolTips()\Window = btWindow And ToolTips()\Gadget = btGadget

      ProcedureReturn

    EndIf

  Next

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  ToolTipControl = CreateWindowEx_(0, "ToolTips_Class32", "", #WS_POPUP | #TTS_NOPREFIX | #TTS_BALLOON, 0, 0, 0, 0, WindowID(btWindow), 0, GetModuleHandle_(0), 0)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  SetWindowPos_(ToolTipControl, #HWND_TOPMOST, 0, 0, 0, 0, #SWP_NOMOVE | #SWP_NOSIZE)

  SendMessage_(ToolTipControl,  #TTM_SETTIPTEXTCOLOR, 0, 0)

  SendMessage_(ToolTipControl,  #TTM_SETTIPBKCOLOR, $F58C0A, 0)

  SendMessage_(ToolTipControl,  #TTM_SETMAXTIPWIDTH, 0, 290)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  Button.TOOLINFO\cbSize  = SizeOf(TOOLINFO)

  Button\uFlags           = #TTF_IDISHWND | #TTF_SUBCLASS

  Button\hwnd             = WindowID(btWindow)

  Button\uID              = GadgetID(btGadget)

  Button\hInst            = 0

  Button\lpszText         = @btText

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  SendMessage_(ToolTipControl, #TTM_ADDTOOL, 0, Button)

  SendMessage_(ToolTipControl, #TTM_UPDATE, 0, 0)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  AddElement(tooltips())

    ToolTips()\Window = btWindow

    ToolTips()\Gadget = btGadget

    ToolTips()\Handle = ToolTipControl

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure
