﻿;==========================================================================================================================
; Copy the current shortcut to the key list
;==========================================================================================================================

Procedure CopyShortCutToList()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentShortCutValue.i = GetGadgetState(#Gadget_ShortCutter_current)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CurrentShortCutValue.i <> 0
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CurrentShortCutKeys.s  = GetShortcutText(CurrentShortCutValue.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CurrentShortCutItems.i = CountGadgetItems(#Gadget_ShortCutter_keylist)
    
    ;----------------------------------------------------------------------------------------------
    ; KeyDummyLine.s, KeyDataName.s, KeyDataValue.s, KeyDataKeys.s, KeyDescribe.s
    ;----------------------------------------------------------------------------------------------
    
    For ExistingKeyCheck.i = 0 To CurrentShortCutItems.i - 1
      
      KeyDataName.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ExistingKeyCheck.i, 0)
      
      KeyDataValue.s  = GetGadgetItemText(#Gadget_ShortCutter_keylist, ExistingKeyCheck.i, 1)
      
      KeyDataKeys.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ExistingKeyCheck.i, 2)
      
      KeyDataText.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ExistingKeyCheck.i, 3)
      
      KeyDataIcon.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ExistingKeyCheck.i, 4)
      
      If KeyDataValue.s = Str(CurrentShortCutValue.i)
        
        ExistingKeyFound.i = 1
        
        Break
        
      EndIf
      
    Next
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If ExistingKeyFound.i <> 1
      
      If GetGadgetState(#Gadget_ShortCutter_copytolist) = 1
      
        AddGadgetItem(#Gadget_ShortCutter_keylist, -1, "" + Chr(10) + Str(CurrentShortCutValue.i) + Chr(10) + CurrentShortCutKeys.s + Chr(10) + "" + Chr(10) + "")
      
      EndIf
      
    Else
      
      MessageRequester("Duplicate key", "This key is already in the list:"  + Chr(10) + Chr(13) + Chr(10) + Chr(13) + FormatField("Variable name: ", 20) + KeyDataName.s + Chr(10) + Chr(13) + FormatField("Numeric value: ", 20) + KeyDataValue.s + Chr(10) + Chr(13) + FormatField("Text shortcut: ", 22) + KeyDataKeys.s, #PB_MessageRequester_Ok)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetGadgetText(#Gadget_ShortCutter_messages, "Current key to be copied was empty.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 80
; FirstLine = 2
; Folding = -
; EnableXP