﻿;==========================================================================================================================
; 
;==========================================================================================================================

Procedure EditShortCut()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Program\CurrentLine = GetGadgetState(#Gadget_ShortCutter_Keylist)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Program\CurrentLine <> -1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    KeyDataName.s = GetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 0)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If Left(KeyDataName.s, 1) <> "~" And Right(KeyDataName.s, 1) <> "~"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If Program\WindowMutex <> 1
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If Window_shortcutedit()
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          Program\WindowMutex = 1
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          Program\LastWindow = "Edit old shortcut"
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          DisableWindow(#Window_ShortCutter, 1)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          SetGadgetText(#Gadget_shortcutedit_keyboardvariable,      GetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 0))
          
          SetGadgetText(#Gadget_shortcutedit_keyboardvalue,         GetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 1))
          
          SetGadgetState(#Gadget_shortcutedit_keyboardshortcut, Val(GetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 1)))
          
          SetGadgetText(#Gadget_shortcutedit_keyboardtext,          GetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 3))
          
          SetGadgetText(#Gadget_shortcutedit_menubaricon,           GetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 4))
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          ButtonIconText.s = GetGadgetText(#Gadget_shortcutedit_menubaricon)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If ButtonIconText.s <> ""
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            If FileSize(Program\IconDirectory + ButtonIconText.s) <> -1
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              ButtonIconHandle.i = LoadImage(#PB_Any, Program\IconDirectory + ButtonIconText.s)
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              If ButtonIconHandle.i
                
                SetGadgetAttribute(#Gadget_ShortCutEdit_geticon, #PB_Button_Image, ImageID(ButtonIconHandle.i))
                
              Else
                
                SetGadgetText(#Gadget_ShortCutter_messages, "Could not get the new icon handle")
                
              EndIf
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
            Else
                
              SetGadgetText(#Gadget_ShortCutter_messages, "The specified icon file is missing")
              
            EndIf
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          SetActiveGadget(#Gadget_ShortCutEdit_keyboardvariable)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetGadgetText(#Gadget_ShortCutter_messages, "Could not open the program window, severe error.")
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetGadgetText(#Gadget_ShortCutter_messages, "Another program window is still open. Should never happen.")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetGadgetText(#Gadget_ShortCutter_messages, "This is a menu heading, not a shortcut.")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetGadgetText(#Gadget_ShortCutter_messages, "Could not get a current line to work on.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure



; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 118
; FirstLine = 97
; Folding = -
; EnableXP
; HideErrorLog