﻿;==========================================================================================================================
; ; Save the new or changed shortcut
;==========================================================================================================================

Procedure SaveShortCut()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  KeyDataName.s   = GetGadgetText(#Gadget_ShortCutEdit_keyboardvariable)
  
  KeyDataValue.s  = GetGadgetText(#Gadget_ShortCutEdit_keyboardvalue)
  
  KeyDataKeys.s   = GetShortCutText(Val(KeyDataValue.s))
  
  KeyDescribe.s   = GetGadgetText(#Gadget_ShortCutEdit_keyboardtext)
  
  KeyMenuIcon.s   = GetGadgetText(#Gadget_ShortcutEdit_menubaricon)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If KeyMenuIcon.s <> ""
    
    CurrentIconHandle.i = LoadImage(#PB_Any, Program\IconDirectory +  KeyMenuIcon.s)
    
    CurrentImageId.i = ImageID(CurrentIconHandle.i)
    
  ElseIf KeyMenuIcon.s = ""
    
    CurrentImageId.i = 0
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select Program\LastWindow
      
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Case  "Add new shortcut"
    
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If Program\CurrentLine <> -1
        
        AddGadgetItem(#Gadget_ShortCutter_Keylist, Program\CurrentLine, KeyDataName.s + Chr(10) + KeyDataValue.s + Chr(10) + KeyDataKeys.s + Chr(10) + KeyDescribe.s + Chr(10) + KeyMenuIcon.s, CurrentImageId.i)
        
      Else
        
        AddGadgetItem(#Gadget_ShortCutter_Keylist, -1, KeyDataName.s + Chr(10) + KeyDataValue.s + Chr(10) + KeyDataKeys.s + Chr(10) + KeyDescribe.s + Chr(10) + KeyMenuIcon.s, CurrentImageId.i)
      
      EndIf
    
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Case  "Edit old shortcut"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine,  KeyDataName.s,   0)
      
      SetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine,  KeyDataValue.s,  1)
      
      SetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine,  KeyDataKeys.s,   2)
      
      SetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine,  KeyDescribe.s,   3)
      
      SetGadgetItemText(#Gadget_ShortCutter_Keylist, Program\CurrentLine,  KeyMenuIcon.s,   4)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If CurrentIconHandle.i <> 0
        
        SetGadgetItemImage(#Gadget_ShortCutter_Keylist, Program\CurrentLine, ImageID(CurrentIconHandle.i))
        
      Else
        
        SetGadgetItemImage(#Gadget_ShortCutter_Keylist, Program\CurrentLine, 0)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CloseMyWindow(#Window_ShortCutEdit)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 88
; FirstLine = 61
; Folding = -
; EnableXP
; HideErrorLog