﻿;========================================================================================================================================
; Create the empty procedures
;========================================================================================================================================

Procedure CreateEmptyProcedures()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ForEach Keys.s()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If Left(Keys()\KeyDataName, 1) = "~" And Right(Keys()\KeyDataName, 1) = "~"
      
      SubDirectoryString.s = Program\ModuleDirectory + RemoveString(Keys()\KeyDataName, "~", 1, 1) + "\"
      
      MakeSureDirectoryPathExists(SubDirectoryString.s)
      
    Else
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      OutputFileName.s = SubDirectoryString.s + "_" + RemoveString(Keys()\KeyDataName, "~", 1, 1) + ".pbi"
      
      OutputFileHandle.i = CreateFile(#PB_Any, OutputFileName.s)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If OutputFileHandle.i
        
        WriteHeadingToOutputFile(OutputFileHandle.i, "; " + Keys()\KeyDataBalloon)
        
        WriteStringN(OutputFileHandle.i,  "")
        
        WriteStringN(OutputFileHandle.i,  FormatField("PROCEDURE " + Keys()\KeyDataText + "()", 93) + "; ")
        
        WriteStringN(OutputFileHandle.i,  "")
        
        WriteStringN(OutputFileHandle.i,  FormatField("ENDPROCEDURE", 93) + "; ")
        
        CloseFile(OutputFileHandle)
        
      Else
        
        SetGadgetText(#Gadget_ShortCutter_messages, "Could not create: " + SubDirectoryString.s + "_" + RemoveString(Keys()\KeyDataName, "~", 1, 1) + ".pbi")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Next
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 38
; FirstLine = 36
; Folding = -
; EnableXP