﻿;==========================================================================================================================
; Save keyboard shortcuts
;==========================================================================================================================

Procedure SaveShortCutsToDisk()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  NumShortCuts.i = CountGadgetItems(#Gadget_ShortCutter_keylist)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If NumShortCuts.i
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
  
    ShortCutFile.s = SaveFileRequester("Save Keyboard shortcuts file", GetCurrentDirectory() + "DefaultKeySave.ks", "KS (*.ks)|*.ks", 0)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If LCase(GetExtensionPart(ShortCutFile.s)) <> "ks"
      
      ShortCutFile.s + ".ks"
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If ShortCutFile.s
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      OutputFile.i = OpenFile(#PB_Any, ShortCutFile.s)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If OutputFile.i
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        For ShortCutGrab.i = 0 To NumShortCuts.i - 1
          
          KeyDataName.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ShortCutGrab.i, 0) + "|"
          
          KeyDataValue.s  = GetGadgetItemText(#Gadget_ShortCutter_keylist, ShortCutGrab.i, 1) + "|"
          
          KeyDataKeys.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ShortCutGrab.i, 2) + "|"
          
          KeyDescribe.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ShortCutGrab.i, 3) + "|"
          
          KeyMenuIcon.s   = GetGadgetItemText(#Gadget_ShortCutter_keylist, ShortCutGrab.i, 4)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          WriteStringN(OutputFile.i, KeyDataName.s + KeyDataValue.s + KeyDataKeys.s + KeyDescribe.s + KeyMenuIcon.s)

          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Next ShortCutGrab.i
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        CloseFile(OutputFile.i)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        SetGadgetText(#Gadget_ShortCutter_messages, "File: [" + GetFilePart(ShortCutFile.s) + "] Has been saved.")

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetGadgetText(#Gadget_ShortCutter_messages, "Output file could not be created.")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetGadgetText(#Gadget_ShortCutter_messages, "No filename specified, user aborted.")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
      
  Else
    
    SetGadgetText(#Gadget_ShortCutter_messages, "No shortcuts in list to save.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 90
; FirstLine = 69
; Folding = -
; EnableXP