﻿;============================================================================================================================
; First letter uppercase in a string box. srod!
;============================================================================================================================

Procedure MixedStringCase(Gadget.i)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  Protected Parent, StringOut.s, StringIn.s, Temporary.s, Position, StartSelection, EndSelection

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  StringIn.s = GetGadgetText(Gadget)

  If StringIn.s = ""

    ProcedureReturn

  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  WordFlag = 1

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SendMessage_(GadgetID(Gadget), #EM_GETSEL, @StartSelection, @EndSelection)  ; Get the Position of the caret.

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If StartSelection <> EndSelection

    ProcedureReturn

  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Repeat

    Position + 1

    StringOut.s = Mid(StringIn.s, Position, 1)

    If WordFlag

      Temporary.s + UCase(StringOut.s)

    Else

      Temporary.s + StringOut.s

    EndIf

    If StringOut.s = " "

      WordFlag = 1

    Else

      WordFlag = 0

    EndIf

  Until Position = Len(StringIn.s)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  SetGadgetText(Gadget, Temporary.s)

  ;------------------------------------------------------------------------------------------------
  ; Return the caret to it's original Position
  ;------------------------------------------------------------------------------------------------

  SendMessage_(GadgetID(Gadget), #EM_SETSEL, EndSelection, EndSelection)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure


; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 16
; Folding = -
; EnableXP