
;==========================================================================================================================
; Keyboard shortcuts table procedure
;==========================================================================================================================

PROCEDURE OpenSystemDatabase()

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  Query.s = "CREATE TABLE IF NOT EXISTS KeyboardShortcuts("

  Query.s + "OpenDatabase TEXT, ReloadMaster TEXT, DumpTables TEXT, "

  Query.s + "UndumpTables TEXT, VacuumTables TEXT, ExitProgram TEXT, AddCategory TEXT, CopyCategory TEXT, DeleteCategory TEXT, EditCategory TEXT, "

  Query.s + "AddPerson TEXT, CopyPerson TEXT, DeletePerson TEXT, "

  Query.s + "EditPerson TEXT, PrintPerson TEXT, PrintPerson TEXT, TagPeople TEXT, "

  Query.s + "BackupDatabase TEXT, ExportAddresses TEXT, ImportAddresses TEXT, "

  Query.s + "UpdatePostcodes TEXT, ShowData TEXT, ShowClock TEXT, "

  Query.s + "ShowTooltips TEXT, MailSetup TEXT, AboutProgram TEXT, "

  Query.s + "ShowHelp TEXT, KeyboardShortcuts TEXT, "

  Query.s + "Record INTEGER PRIMARY KEY AUTOINCREMENT)"

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  If DatabaseUpdate(Program\DatabaseHandle, Query.s)

    If CountRecords("SELECT COUNT(Record) AS TotalRecs FROM KeyboardShortcuts") = "0"

      Query.s = "INSERT INTO KeyboardShortcuts("

      Query.s + "OpenDatabase, ReloadMaster, DumpTables, "

      Query.s + "UndumpTables, VacuumTables, ExitProgram, AddCategory, CopyCategory, DeleteCategory, EditCategory, "

      Query.s + "AddPerson, CopyPerson, DeletePerson, "

      Query.s + "EditPerson, PrintPerson, PrintPerson, TagPeople, "

      Query.s + "BackupDatabase, ExportAddresses, ImportAddresses, "

      Query.s + "UpdatePostcodes, ShowData, ShowClock, "

      Query.s + "ShowTooltips, MailSetup, AboutProgram, "

      Query.s + "ShowHelp, KeyboardShortcuts) "

      Query.s + "VALUES("

      Query.s + "'262223', '262226', '262212', "

      Query.s + "'262229', '262230', '262232', '393281', '393283', '393284', '393285', "

      Query.s + "'131137', '131139', '131140', "

      Query.s + "'131141', '131152', '131148', '131156', "

      Query.s + "'262210', '262227', '262217', "

      Query.s + "'262224', '113', '114', "

      Query.s + "'115', '116', '262209', "

      Query.s + "'112', '262219')"

      If DatabaseUpdate(Program\DatabaseHandle, Query.s)

      EndIf

    EndIf

  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure
